%global pkg_name        File-MMagic-XS
%global pkg_version     0.09003
%global rpm_pkg_version 0.09_003
%global rpm_pkg_release 1.n0i.6

Summary:       Guess File Type With XS
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DM/DMAKI/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl


%description
This is a port of Apache2 mod_mime_magic.c in Perl, written in XS with the
aim of being efficient and fast especially for applications that need to be
run for an extended amount of time. There is a compatibility layer for
File::MMagic. you can specify :compat when importing the module use
File::MMagic::XS qw(:compat);


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%exclude %{perl_vendorarch}/File/MMagic/benchmark.pl
%doc Changes


%changelog
* Wed Nov 07 2007 Marius Feraru <altblue@n0i.net> - 0.09_003-1.n0i.6.0.09003
- version 0.09003

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.09_002-1.n0i.5.0.09002
- version 0.09002

* Sat Jun 09 2007 Marius Feraru <altblue@n0i.net> - 0.09-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.09

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.08-2.n0i.3
- automatic rebuild (perl 5.8.8)

* Thu Nov 03 2005 Marius Feraru <altblue@n0i.net> 0.08-1.n0i.2
- version 0.08

* Tue Aug 09 2005 Marius Feraru <altblue@n0i.net> 0.07-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
